Agora C++ API Reference for All Platforms

Public Member Functions | List of all members
agora::media::IMediaRecorderObserver Class Referenceabstract

## Public Member Functions
virtual void | onRecorderStateChanged (const char *channelId, rtc::uid_t uid, RecorderState state, RecorderReasonCode reason)=0
virtual void | onRecorderInfoUpdated (const char *channelId, rtc::uid_t uid, const RecorderInfo &info)=0
virtual | ~IMediaRecorderObserver ()

## Constructor & Destructor Documentation

## ◆ ~IMediaRecorderObserver()

virtual agora::media::IMediaRecorderObserver::~IMediaRecorderObserver | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ onRecorderStateChanged()

virtual void agora::media::IMediaRecorderObserver::onRecorderStateChanged | ( | const char * | channelId,
|  | rtc::uid_t | uid,
|  | RecorderState | state,
|  | RecorderReasonCode | reason
| ) |  |
| pure virtual

Occurs when the recording state changes.

Since
  v4.0.0

When the local audio and video recording state changes, the SDK triggers this callback to report the current recording state and the reason for the change.

Parameters

  channelId | The channel name.
  uid | ID of the user.
  state | The current recording state. See RecorderState.
  reason | The reason for the state change. See RecorderReasonCode.

## ◆ onRecorderInfoUpdated()

virtual void agora::media::IMediaRecorderObserver::onRecorderInfoUpdated | ( | const char * | channelId,
|  | rtc::uid_t | uid,
|  | const RecorderInfo & | info
| ) |  |
| pure virtual

Occurs when the recording information is updated.

Since
  v4.0.0

After you successfully register this callback and enable the local audio and video recording, the SDK periodically triggers the `onRecorderInfoUpdated` callback based on the set value of `recorderInfoUpdateInterval`. This callback reports the filename, duration, and size of the current recording file.

Parameters

  channelId | The channel name.
  uid | ID of the user.
  info | Information about the recording file. See RecorderInfo.